using System.ComponentModel.DataAnnotations;
using Posts.WebApi.Models.Enums;

namespace Posts.WebApi.Models.Requests
{
    public class FileInfoRequest
    {
        public int Id { get; set; }
        public EFileType FileType { get; set; }

        [Required]
        public string Url { get; set; }
        [Required]
        public string Name { get; set; }
    }
}