import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ProfileRoutingModule } from './profile-routing.module';
import { SharedModule } from '@shared/shared.module';
import { ProfileComponent } from './components/profile/profile.component';
import { ProfileInfoComponent } from './components/profile-info/profile-info.component';
import { PostPageComponent } from './components/post-page/post-page.component';
import { SettingsComponent } from './components/settings/settings.component';

@NgModule({
  declarations: [
    ProfileComponent,
    ProfileInfoComponent,
    PostPageComponent,
    SettingsComponent
  ],
  imports: [
    CommonModule,
    ProfileRoutingModule,
    SharedModule
  ]
})
export class ProfileModule { }
