import * as fromReducer from '../reducers';
import * as fromPostReducer from '../reducers/search-post.reducer';

import { SearchPostState } from '../reducers/search-post.reducer';
import { createSelector } from '@ngrx/store';
import { PostByGroupSemester } from '@app/shared/models';

export const getSearchPostState = createSelector(fromReducer.getSearchState, (state: fromReducer.SearchState) => state.searchPostState);

export const getAllPostCards = createSelector(getSearchPostState, (state: SearchPostState): PostByGroupSemester[] => state.postCards);

export const getInitailPostLoading = createSelector(getSearchPostState, (state: fromPostReducer.SearchPostState) => state.loading);
