import { PostValueType} from './enums/post-value-type';
import { PostLocationType} from './enums/post-location-type';

export interface PostProfile {
    id: string;
    title: string;
    description: string;
    semester: number;
    lastVisit: string;
    postLocationType: PostLocationType;
    postValueType: PostValueType;
    groupId: number;
    groupTitle: string;
    userProfileId: number;
    subjectId: number;
    validatedAtUtc: string;
    subjectTitle: string;
    teacherName: string;
}
