export class UserProfile {
    id: number;
    username: string;
    description: string;
    lastVisit: Date;
    avatar: string | undefined;

    public static assemble(dto: any): UserProfile {
        const userProfile = new UserProfile();
        if (dto) {
            userProfile.id = dto.id;
            userProfile.avatar = dto.avatar;
            userProfile.description = dto.description;
            userProfile.lastVisit = dto.lastVisit;
            userProfile.username = dto.username;
        }
        return userProfile;
    }
}

