using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IFileService
    {
        Task<ServiceResult<string>> UploadImageAsync(IFormFile imageFile);
        Task<ServiceResult<FileDto>> UploadFileAsync(IFormFile file, int userId);
    }
}