using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess.RepositoryService.Interfaces
{
    public interface IGroupRepository : IBaseRepository<Group> 
    {
        Task<IEnumerable<Group>> GetGroupsByFacultyAsync(int facultyId);
    }
}