using System.Threading.Tasks;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess.RepositoryService.Interfaces
{
    public interface IUserRepository : IBaseRepository<User> 
    {
        Task<bool> IsUserExistByUsernameAsync(string username);
        Task<User> GetUserAsync(string email, bool excludeDeleted);
    }
}