using System;
using System.ComponentModel.DataAnnotations;
using Uni.WebApi.Models.Enums;

namespace Uni.WebApi.Models.Requests
{
    public class UpdatePostRequest
    {
        [Required]
        [StringLength(500, MinimumLength = 5)]
        public string Title { get; set; }
        public string Description { get; set; }
        [Required]
        public int Semester { get; set; }
        public DateTime? GivenAt { get; set; }
        [Required]
        public int SubjectId { get; set; }
        [Required]
        public int GroupId { get; set; }
    }
}