using Microsoft.AspNetCore.Mvc;
using Posts.WebApi.Models.Enums;

namespace Posts.WebApi.Controllers
{
    public class BaseController : ControllerBase
    {
        protected int UserId => User.GetUserId();

        protected ERoleType UserRole => User.GetRoleType();

        protected string UserEmail => User.GetEmail();
    }
}