using System;
using System.Collections.Generic;
using Posts.WebApi.Models.Enums;

namespace Posts.WebApi.Models.ModelDto
{
    public class PostLongDto
    {
        public string Id { get; set; }
        public string Description { get; set; }
        public string Title { get; set; }
        public int Course { get; set; }
        public int Semester { get; set; }
        public DateTime CreatedAtUtc { get; set; }
        public DateTime ModifiedAt { get; set; }
        public DateTime? ValidatedAtUtc { get; set; }
        public EPostLocationType PostLocationType { get; set; }
        public int SubjectId { get; set; }
        public EPostValueType PostValueType { get; set; }
        public int GroupId { get; set; }
        public string GroupTitle { get; set; }
        public int UserId { get; set; }

        public IEnumerable<FileDto> Files { get; set; }
    }
}