import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from '@environments/environment';
import { UniversityWebService } from './university-web.service';

@Injectable()

export class UniversityRestService implements UniversityWebService {

    constructor(private http: HttpClient) { }

    getUniversities(cityId: number, skip: number, take: number): Promise<any[]> {
        return this.http.get<any[]>(environment.urlServerAddress + 'Universities?cityId='
            + cityId + '&skip=' + skip + '&take=' + take).toPromise();
    }
}
