using System.Threading.Tasks;
using Uni.WebApi.Common.Token;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests.Authorization;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IAuthorizationService
    {
         Task<ServiceResult<AuthDto>> LoginAsync(LoginUserRequest request);
         Task<ServiceResult<object>> RegisterStudentAsync(RegisterUserRequest request);
         Task<ServiceResult<AuthDto>> ConfirmEmailAsync(string email);
         Task<ServiceResult<TokenModel>> UpdateTokenAsync(RefreshTokenRequest refreshToken);
    }
}