using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IFacultyService
    {
        Task<ServiceResult<IEnumerable<FacultyDto>>> GetListOfFacultiesAsync(int universityId, int skip, int take);
        Task<ServiceResult<FacultyDto>> CreateFacultyAsync(AddFacultyRequest request);
    }
}