using System.Threading.Tasks;
using Uni.WebApi.Models.ModelDto;
using Uni.WebApi.Models.Models;
using Uni.WebApi.Models.Requests.UserProfile;

namespace Uni.WebApi.ApplicationCore.Services.Contract
{
    public interface IUserService
    {
         Task<ServiceResult<UserDto>> GetUserAsync(int userId);
         Task<ServiceResult<UserDto>> UpdatePasswordAsync(int userId, UpdatePasswordRequest request);
         Task<ServiceResult<UserDto>> UpdateUsersInfoAsync(int userId, UpdateUserInfoRequest request);
    }
}