using Microsoft.AspNetCore.Mvc;
using Uni.WebApi.Models.Enums;
using Uni.WebApi.Web.Extensions;

namespace Uni.WebApi.Controllers
{
    public class BaseController : ControllerBase
    {
        protected int UserId => User.GetUserId();

        protected ERoleType UserRole => User.GetRoleType();

        protected string UserEmail => User.GetEmail();
    }
}