using System.Collections.Generic;
using System.Threading.Tasks;
using Uni.WebApi.Kernel.Entities;

namespace Uni.WebApi.DataAccess.RepositoryService.Interfaces
{
    public interface ISubjectRepository : IBaseRepository<Subject> 
    {
        Task<IEnumerable<Subject>> GetSubjectsByFacultyWithTeachersAsync(int facultyId, int skip, int take);
    }
}