using System.ComponentModel.DataAnnotations;

namespace Uni.WebApi.Models.Requests
{
    public class AddSubjectRequest
    {
        [Required]
        [StringLength(150, MinimumLength = 3)]
        public string Title { get; set; }
        public string Description { get; set; }
        public string Avatar { get; set; }
        public int FacultyId { get; set; }
        public int TeacherId { get; set; }
    }
}