using System.ComponentModel.DataAnnotations;

namespace Uni.WebApi.Models.Requests
{
    public class AddUniversityRequest
    {
        [Required]
        [StringLength(100, MinimumLength = 3)]
        public string FullTitle { get; set; }
        [Required]
        [StringLength(7)]
        public string ShortTitle { get; set; }
        public string Description { get; set; }
        public string Avatar { get; set; }
        [Required]
        public int CityId { get; set; }
    }
}